breed [informants informant]
breed [players player]

globals
[
  defaultx
  defaulty
  space
  informant-list
  dynamic-informant-list
  question-list
  question-number
  answer-list
  right-answer-list
  dialog-sentence
  question
  answer
  right-answer
  right-answer_
  selected-answer
  selected-answer_
  informant-answer
  selected-informant
  sequence-number
  game-score
  cumulative-game-score
  output-file-name
  ask-for-help?
  informant-number
  communication-distance-list
  dynamic-communication-distance-list
  communication-distance
  communication-distance-selected-informant
  very-close-number
  close-number
  far-number
  very-far-number
  very-close-angle
  close-angle
  far-angle
  very-far-angle
]

to pose-player
  set-default-shape players "x"
  cct-players 1
  [
    setxy 0 0
    set size 2
    set color yellow
    set label "YOU"
  ]
end

to setup
  ca
  display-network
  display
  set very-close-number 0
  set close-number 0
  set far-number 0
  set very-far-number 0
  open-informant-file   
  ask-distance
  display-informant
  display
end

to play-new
  clear-plot
  open-question-file
  set question-number (position (last question-list) question-list) + 1
  ask-output-file-name
  make-label
  set sequence-number 0
  set cumulative-game-score 0
  reset-timer
end

to ask-distance
  set informant-number (position (last informant-list) informant-list) + 1 
  set communication-distance-list []
  set very-close-number 0
  set close-number 0
  set far-number 0
  set very-far-number 0
    
  let counter 0
  
  while [counter <= informant-number - 1]
  [
    set dialog-sentence "In this game, " + "\n" + "there are some persons that can be your source of information to help you in answering the questions. "+ "\n" + "You must classify these persons, based on their relationship, " + "\n"  + item counter informant-list + " is classified as: " + "\n"
    set communication-distance user-one-of dialog-sentence ["very close" "close" "far" "very far"] 
    set communication-distance-list (lput communication-distance communication-distance-list)
    
    if communication-distance = "very close"
    [
      set very-close-number very-close-number + 1
    ]
    
    if communication-distance = "close"
    [
      set close-number close-number + 1
    ]
    
    if communication-distance = "far"
    [
      set far-number far-number + 1
    ]
    
    if communication-distance = "very far"
    [
      set very-far-number very-far-number + 1
    ]
    
    set counter counter + 1
  ]
  
  ifelse very-close-number > 0
  [
    set very-close-angle 360 / very-close-number
  ]
  [
    set very-close-angle 0
  ]
  
  ifelse close-number > 0
  [
    set close-angle 360 / close-number
  ]
  [
    set close-angle 0
  ]  
  
  ifelse far-number > 0
  [
    set far-angle 360 / far-number
  ]
  [
    set far-angle 0
  ]
  
  ifelse very-far-number > 0
  [
    set very-far-angle 360 / very-far-number
  ]
  [
    set very-far-angle 0
  ]
    
end

to play 
  ifelse (sequence-number <= question-number - 1)
  [
    ask-farmers
    compare-right-answer
    plot-game-score
  ]
  [
    ask informants
    [
      no-display
      set size-of informant who 8
      display
    ]
    
    user-message "[Adopt&Learn | Communication Game] Game over!"
    set game-score 0
    set cumulative-game-score cumulative-game-score
    
    ask informants
    [
      no-display
      set size-of informant who 2
      display
    ]    
    stop
  ]
end

to setup-informant-list
  set dynamic-informant-list informant-list
  set dynamic-communication-distance-list communication-distance-list
  display-informant-list
end

to ask-right-answer
  set dialog-sentence question + "\n\n" + answer  + "\n\n" + "Your answer?"
  set selected-answer user-one-of dialog-sentence ["[A]" "[B]" "[C]" "[D]"]
  record-results
end

to compare-right-answer
  set right-answer item sequence-number right-answer-list
  
  ifelse selected-answer = right-answer
  [
    ask informants
    [
      no-display
      set size-of informant who 8
      display
    ]
    
    user-message "You are RIGHT! You got ONE HUNDRED!"
    set game-score 100
    set cumulative-game-score cumulative-game-score + game-score
    
    ask informants
    [
      no-display
      set size-of informant who 2
      display
    ]
    
    set sequence-number sequence-number + 1   
  ]
  [
    ask informants
    [
      no-display
      set size-of informant who 1
      display
    ]
    
    user-message "You are WRONG! You got ZERO!"
    set game-score 0
    set cumulative-game-score cumulative-game-score + game-score
    
    ask informants
    [
      no-display
      set size-of informant who 2
      display
    ]
    
    set sequence-number sequence-number + 1
  ]
end

to randomize-informant-answer
  set informant-answer one-of
  [
    "certainly A!"
    "certainly B!"
    "certainly C!"
    "certainly D!"
    "maybe A..."
    "maybe B..."
    "maybe C..."
    "maybe D..."
    "I don't know!"
  ]
end

to ask-farmers
  set question item sequence-number question-list
  set answer item sequence-number answer-list
  set dialog-sentence question + "\n\n" + answer  + "\n\n" + "Ask for help?"
  ifelse "yes" = user-one-of dialog-sentence ["yes" "no"]
  [
   set ask-for-help? "yes"
   randomize-informant-answer
   set dynamic-informant-list informant-list
   set dynamic-communication-distance-list communication-distance-list
   display-informant-list
  ]
  [
   set ask-for-help? "no"
   set selected-informant ""
   set informant-answer ""
   set communication-distance-selected-informant ""
   set right-answer item sequence-number right-answer-list
   ask-right-answer
  ]    
end

to display-informant-list
  set dialog-sentence "Whom will you ask?"
  set selected-informant  user-one-of dialog-sentence dynamic-informant-list
  
  set communication-distance-selected-informant item (position selected-informant dynamic-informant-list) dynamic-communication-distance-list
  
  ask informants
  [
    if selected-informant = label-of informant who
    [
      no-display
      set size-of informant who 8
      display
    ]
  ]
  
  user-message question + "\n\n" + answer + "\n\n" + selected-informant + " answers: " + informant-answer
  
  record-results
  
  ask informants
  [
    if selected-informant = label-of informant who
    [
      no-display
      set size-of informant who 2
      display
    ]
  ]
  
  set dialog-sentence "Need more helps?" + "\n\n"
  
  ifelse "yes" = user-one-of dialog-sentence ["yes" "no"]
  [
   set ask-for-help? "yes"
   randomize-informant-answer
   set dynamic-communication-distance-list remove-item (position selected-informant dynamic-informant-list) dynamic-communication-distance-list
   set dynamic-informant-list remove-item (position selected-informant dynamic-informant-list) dynamic-informant-list
       
   ifelse (length dynamic-informant-list > 0)
   [
     display-informant-list
   ]
   [
     set ask-for-help? "no"
     set selected-informant ""
     set informant-answer ""
     set communication-distance-selected-informant ""
     set right-answer item sequence-number right-answer-list
     ask-right-answer
   ]
  ]
  [
   set ask-for-help? "no"
   set selected-informant ""
   set informant-answer ""
   set communication-distance-selected-informant ""
   set right-answer item sequence-number right-answer-list
   ask-right-answer
  ]  
end  

to plot-game-score
  set-current-plot "cumulative game score"
  set-current-plot-pen "score"
  plot cumulative-game-score
end

to open-question-file
  user-message "[Adopt&Learn | Communication Game] Select question data file after this dialog! (*.dat)"
  
  let file user-file
  let line 0
  let data-number 0
  let temporary-data []
  set question-list []
  set answer-list []
  set right-answer-list []
  
  if ( file != false )
  [
    file-open file
    while [not file-at-end?]
    [
      set temporary-data (lput file-read-line temporary-data)
      set data-number data-number + 1
    ]
    file-close
  ]
  
  let data-group-distance (data-number / 3)
  
  if ( file != false )
  [
    file-open file
    while [line >= 0 and line <= data-group-distance - 1]
    [ 
      set question-list (lput file-read-line question-list)
      set line line + 1
    ]
    
    while [line >= data-group-distance and line <= (2 * data-group-distance) - 1]
    [ 
      set answer-list (lput file-read-line answer-list)
      set line line + 1
    ]
    
    while [line >= (2 * data-group-distance) and line <= (3 * data-group-distance) - 1]
    [ 
      set right-answer-list (lput file-read-line right-answer-list)
      set line line + 1
    ]
    file-close
  ]
end

to open-informant-file
  user-message "[Adopt&Learn | Communication Game] Select informant data file after this dialog! (*.dat)"
  
  let file user-file
  set informant-list []
  
  if ( file != false )
  [
    file-open file
    while [not file-at-end?]
    [ 
      set informant-list (lput file-read-line informant-list)
    ]
    file-close
  ] 
end

to ask-output-file-name
  set output-file-name user-input "[Adopt&Learn | Communication Game] Output fle name: " + ".out"
end

to make-label
  file-open output-file-name
  file-print "question no." + "\t" + "ask for help?" + "\t" + "informant" + "\t" + "distance" + "\t" + "informant's answer" + "\t" + "player's answer" + "\t" + "the right answer"
  file-close
end

to record-results 
  file-open output-file-name
  
  ifelse ask-for-help? = "yes"
  [
    set selected-answer_ ""
    set right-answer_ ""
  ]
  [
    set selected-answer_ selected-answer
    set right-answer_ right-answer
  ]
  
  file-print (sequence-number + 1) + "\t" + ask-for-help? + "\t" + selected-informant + "\t" + communication-distance-selected-informant + "\t" + informant-answer + "\t" + selected-answer_ + "\t" + right-answer_
  file-close
end

to display-informant
  set-default-shape informants "person"
  
  let counter 0
  let counter-very-close 0
  let counter-close 0
  let counter-far 0
  let counter-very-far 0
  
  while [counter <= informant-number - 1]
  [
    cct-informants 1
    [
      setxy 0 0
      set size 2
      set label item counter informant-list
      
      if item counter communication-distance-list = "very close"
      [
        set color violet
        set heading 0 + counter-very-close * very-close-angle
        fd 3
        set counter-very-close counter-very-close + 1
      ]
      
      if item counter communication-distance-list = "close"
      [
        set color blue
        set heading 15 + counter-close * close-angle
        fd 8
        set counter-close counter-close + 1
      ]
      
      if item counter communication-distance-list = "far"
      [
        set color green
        set heading 30 + counter-far * far-angle
        fd 12
        set counter-far counter-far + 1
      ]
      
      if item counter communication-distance-list = "very far"
      [
        set color red
        set heading 45 + counter-very-far * very-far-angle
        fd 17
        set counter-very-far counter-very-far + 1
      ]      
      
    ]
    
    set counter counter + 1
  ]
  
end

to display-network
  ask patches
  [   
    if distancexy 0 0 >= 0 and distancexy 0 0 <= 5     
    [
      set pcolor 0
    ]
    
    if distancexy 0 0 > 5 and distancexy 0 0 <= 10     
    [
      set pcolor 2
    ]
    
    if distancexy 0 0 > 10 and distancexy 0 0 <= 15     
    [
      set pcolor 4
    ]
    
    if distancexy 0 0 > 15     
    [
      set pcolor 6
    ]
  ]
  
  pose-player
    
end 
@#$#@#$#@
GRAPHICS-WINDOW
17
63
437
504
20
20
10.0
1
10
1
1
1
0
0
0
1
-20
20
-20
20

CC-WINDOW
5
518
990
613
Command Center
0

BUTTON
16
18
79
51
NIL
setup
NIL
1
T
OBSERVER
T
NIL

BUTTON
373
18
436
51
NIL
play
T
1
T
OBSERVER
T
NIL

MONITOR
814
172
955
221
cumulative game score
cumulative-game-score
0
1

PLOT
781
10
981
160
cumulative game score
step
score
0.0
10.0
0.0
10.0
true
false
PENS
"score" 1.0 1 -13345367 true

BUTTON
165
17
283
50
new game
play-new
NIL
1
T
OBSERVER
T
NIL

@#$#@#$#@
WHAT IS IT?
-----------
Current theoretical framework assumes that farmers are surrounded by passive sources of information, whose information is provided freely as public goods.  Thus, flows of information in a community are determined by how frequent farmers seek information from available sources.  Furthermore, connectedness of a community in information sharing is characterised by how frequent majority of farmers seek information from internal sources relative to total information seeking frequency.  When majority of a community has inward information seeking (i) approaching 1, it implies that the community has very good internal connectedness, a perfect situation to have effective diffusion of information by providing the information internally. When majority of a community has i approaching 0.5, it implies that to effectively diffuse information into the community, we have to provide the information from two sources: from internal sources and from external sources.  When majority of a community has i approaching 0, it implies that to effectively diffuse information into the community, we have to provide the information from external sources, instead of doing it directly from internal sources. This game is aimed at measuring farmers' behavior in seeking information.

HOW IT WORKS
------------
In this game, farmers are asked to answer a number of questions, where four answer choices are provided.  Computer provides a number of information sources that can help farmers to answer the questions when needed.  Information provided by the sources is randomised. 

The questions range from questions presumably close to farmers daily life to questions presumably beyond farmers daily life.  Sources of information are identified and listed down by farmers prior to the game.  Farmers are asked to sort sources of information from the farthest to the nearest.  It is aimed to define their boundary: internal or external.  Simple method to sort is by making a rescue game.  For example, farmers identified researchers, neighbours, television and relatives as their sources of information.  Suppose that farmers have a limited carrying capacity of boat to rescue them from flood disaster, whom will they leave at first.  After the sources are sorted, relative distance is estimated.  For example, we got ascending sorted data as follows: relatives, neighbours, television and researchers, their relative distances are 0.25, 0.5, 0.75 and 1 respectively.  Thus, relatives and neighbours are placed within the internal boundary, while television and researchers are placed within the external boundary. To have standard reference, average relative distance from all farmers is used to analyse results from each individual farmer. This game is aimed to measure inward information seeking (i).  Parameter i is calculated based on frequency of help seeking with internal sources relative to total frequency of help seeking. Further analyses on the results should be made using appropriate statistical packages.

HOW TO USE IT
-------------
[1] Make number of questions, choices of answers (multiple choice: A, B, C, D) and the right answer in a text file (see: question.dat as example).  Sort the questions from the easiest to the hardest.  

[2] Ask farmers about source of information in their daily life. List down the data into a text file (see: infosource.dat as example).

[3] Press "setup" button. Select informant list data file (use infosource.dat as example), and play a rescue game or ask directly to farmers to classify the informants based on relationship.

[4] Press "new game" button. Select question list data file (use question.dat as example). 

[5] Type a file name to store the results.

[6] Start the game by pressing "play" button. 

[7] In the game, farmers can ask for help to fictious informants.  Answers from the informants are randomized among: certainly A, certainly B, certainly C, certainly D, maybe A, maybe B, maybe C, maybe D, or I don't know.

THINGS TO NOTICE
----------------
Please, avoid farmers' random response by helping them understanding the game.  Preliminary game before conducting an experiment may be useful. 

RELATED MODEL
--------------
This game is developed to measure some parameters in Adopt&Learn Model.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

link
true
0
Line -7500403 true 150 0 150 300

link direction
true
0
Line -7500403 true 150 150 30 225
Line -7500403 true 150 150 270 225

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 3.1.3
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
